-- 1. Caratteri Anomali
CREATE procedure C6Mart.TabellaCaratteriAnomali
as
begin
	create table #TableCaratteriAnomali (
		[Val_Ascii] [smallint] NOT NULL,
		[Val_Char] [varchar](1) NOT NULL,
		[Rete] [varchar](1) NOT NULL,
		[Cod_Fiscale] [varchar](16) NOT NULL,
		[Nome_Campo] [varchar](50) NOT NULL,
		[Val_Campo] [varchar](150) NOT NULL
		)
	INSERT INTO #TableCaratteriAnomali
	exec [C6Mart].[CercaCaratteriAnomali]
	select a.*,
		c.Indirizzo as Indirizzo_vContratti,
		d.indirizzo as indirizzo_Anag,
		d.localita as localita_Anag,
		d.Provincia as provincia_anag,
		d.nazione as nazione_anag,
		d.presso as presso_anag
	--into #RecordDaModificare
	from #TableCaratteriAnomali a
		inner join c6mart.gestione_pdf_ftp b
		on a.rete = b.rete
		and
		a.cod_fiscale = b.codicefiscale
			inner join C6Mart.VCONTRATTI c
			on a.rete = c.rete
			and
			a.cod_fiscale = c.cod_fiscale
				inner join C6Mart.ANAG_CLIENTI d
				on a.rete = d.rete
				and
				a.cod_fiscale = d.cod_fiscale
	where b.DataInvio is null
	drop table #TableCaratteriAnomali
end